Uploaded image for project: 'PuppetDB'
  1. PuppetDB
  2. PDB-1042

PR (1163): Fixes needed for running tests against puppet's master branch - senior

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: PDB 2.2.2
    • Fix Version/s: PDB 2.3.0, PDB 3.0.0
    • Component/s: None
    • Labels:

      Description

      Fixes needed for running tests against puppet's master branch

      Pull Request Description


      Specifically this commit

      • Adds specific checks for puppet 3 when loading storeconfig code
        storeconfig does not work against current master and will be removed
        as part of Puppet 4.0.0. We want to maintain backward compatibility,
        so the code supports both
      • Removes references to Puppet[:trusted_node_data] when on Puppet
        4 (essentially assuming it is always true on 4). Like above we will
        look for it when on Puppet 3.y.z and ignore it (assuming true) when
        on Puppet 4.y.z

      (webhooks-id: 6e423258266cb4a80ab7cbb051f8eb71)


      QA Risk Assessment

      N/A for testing tickets

        Attachments

          Issue Links

            Activity

              jsd-sla-details-panel

                People

                • Assignee:
                  ryan.senior Ryan Senior
                  Reporter:
                  gepetto-bot gepetto-bot
                  QA Contact:
                  Kurt Wall
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  1 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:

                    Zendesk Support